<?php

// Include header and upload path
$title = 'File Manager';
include ('header.php');
include ('uploadpath.php');

// Get files in directory
$d = dir($path);
$files = array();
while (false !== ($file = $d->read())) {
	if ($file == '.' OR $file == '..') continue;
	
	$arr = array();
	$arr['name'] = $file;
	$arr['path'] = $d->path . $file;
	$arr['size'] = filesize($arr['path']);

	$files[] = $arr;
}

?>
<h2>Files</h2>

<?php if (count($files) == 0): ?>
	<p>There are no files yet. Upload a new one first.</p>
<?php else: ?>
	<table>
		<tr>
			<th>Name</th>
			<th>Size</th>
			<td colspan="3">&nbsp;</td>
		</tr>

		<?php foreach($files as $file): ?>
			<tr>
				<td><?php echo htmlentities($file['name']); ?></td>
				<td>
					<?php
						// Format size:
						if ($file['size'] > 1000) {
							echo number_format(($file['size']/1024), 2) . ' KB';
						} elseif ($file['size'] > 1000*1000) {
							echo number_format(($file['size']/1024)/1024, 2) . ' MB';
						} else {
							echo $file['size'] . ' Bytes';
						}
					?>
				</td>
				<td><a href="download.php?file=<?php echo urlencode($file['name']); ?>"><b>Download</b></a></td>
				<td><a href="edit.php?file=<?php echo urlencode($file['name']); ?>">Edit</a></td>
				<td><a href="delete.php?file=<?php echo urlencode($file['name']); ?>">Delete</a></td>
			</tr>
		<?php endforeach; ?>			

	</table>

<?php endif; ?>

<br />

<h2>Upload a new file</h2>
<form action="add.php" method="POST" enctype="multipart/form-data">
		<input type="file" name="file" size="30">
		<input type="submit" value="Upload File" />
</form>


<?php
include ('footer.php');
?>